#!/bin/bash
set -euo pipefail

pakku() { pakku-mc "$@"; }

# Определяем директории
SCRIPT_DIR=$(cd -- "$(dirname -- "${BASH_SOURCE[0]}")" &> /dev/null && pwd)
REPO_ROOT="${SCRIPT_DIR}/.."
SOURCE_ZIP="${REPO_ROOT}/build/serverpack/*.zip"
TARGET_DIR="/home/dimti/Seafile/minecraft/installers/m2612"

cd "${REPO_ROOT}" || exit 1

pakku export

# Проверяем, существует ли архив
if ls ${SOURCE_ZIP} 1> /dev/null 2>&1; then
    echo "Нашел архив серверной сборки: ${SOURCE_ZIP}"
else
    echo "Ошибка: Архив серверной сборки не найден в ${SOURCE_ZIP}"
    exit 1
fi

# Очищаем целевые папки mods и config
echo "Очистка папок mods и config в ${TARGET_DIR}..."
rm -rf "${TARGET_DIR}/mods"
rm -rf "${TARGET_DIR}/config"

# Распаковываем архив в целевую директорию
echo "Распаковка архива в ${TARGET_DIR}..."
unzip -o ${SOURCE_ZIP} -d "${TARGET_DIR}"

echo "Синхронизация завершена успешно."